retrieve document stats
curl --request GET \
--url https://api.reqlick.com/documents/{id}/stats \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.reqlick.com/documents/{id}/stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reqlick.com/documents/{id}/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"views": [
{
"id": "1110580a82031111aaa03333",
"linkId": "1110580a82031111aaa03333",
"documentId": "1110580a82031111aaa03333",
"projectId": "6660580a43f1a356b97f64b9",
"viewedAt": "2024-07-17T07:17:04.264Z",
"isBot": false,
"qrcodeId": null,
"viewData": {
"id": "1110580a82031111aaa03333",
"viewId": "1110580a82031111aaa03333",
"h_userAgent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/126.0.0.0 Safari/537.36",
"h_referer": "https://www.linkedin.com/",
"h_acceptLanguage": "fr-FR,fr;q=0.9,en-US;q=0.8,en;q=0.7",
"h_sec_ch_ua_platform": "Windows",
"sessionId": "688d2118-acaf-5d2f-854b-5baf4eb5093b",
"b_screen_width": 1366,
"b_screen_height": 768,
"b_hostname": "rqk.sh",
"b_pathname": "/try-reqlick",
"b_language": "fr-FR",
"b_search": "",
"b_geo": {
"b_isLocated": false,
"b_error": {}
},
"newProjectVisitor": false,
"newLinkVisitor": false,
"v_start_time": "2024-07-17T07:17:04.264Z",
"v_end_time": "2024-07-23T12:51:17.457Z",
"updatedAt": "2024-07-23T12:51:17.458Z",
"recordingEventsId": "<string>",
"device": "Desktop",
"screenResolution": "1366x768",
"deviceVendor": "<string>",
"browser": "Chrome",
"browserEngine": "Blink",
"os": "Windows",
"source": "www.linkedin.com",
"country": "France",
"countryCode": "FR",
"region": "Île-de-France",
"regionCode": "<string>",
"city": "Paris",
"lat": 48.8323,
"long": 2.4075
}
}
],
"uniqueVisitorCount": 4,
"averageVisitTime": "79375.20",
"chartdata": [
{
"date": "Jul 16",
"UniqueVisitors": 4,
"PageViews": 5,
"newVisitors": 4,
"returnVisitors": 1
}
],
"links": [
{
"name": "<string>",
"value": 7
}
],
"linksMax": 7,
"all": [
{
"name": "www.linkedin.com",
"value": 2
}
],
"allMax": 7,
"browsersMax": 7,
"osMax": 7,
"devicesMax": 7,
"deviceTypeMax": 7,
"browsers": [
{
"name": "Chrome",
"value": 7
}
],
"engines": [
{
"name": "Blink",
"value": 7
}
],
"os": [
{
"name": "Windows",
"value": 5
}
],
"devices": [
{
"name": "<string>",
"value": 5
}
],
"deviceType": [
{
"name": "Desktop",
"value": 7
}
],
"languages": [
{
"name": "French",
"value": 2
}
],
"languagesMax": 7,
"countries": [
{
"name": "France",
"shortCode": "FR",
"value": 6
}
],
"regions": [
{
"country": "France",
"name": "Occitanie",
"value": 3
}
],
"cities": [
{
"country": "France",
"name": "Toulouse",
"value": 3
}
],
"internetProviders": [
{}
]
}{
"error": "Authentication Error",
"feedback": "You are unauthenticated!"
}Documents
Retrieve analytics
Retrieve docuemnt analytics for the authenticated workspace.
GET
/
documents
/
{id}
/
stats
retrieve document stats
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Document ID
Query Parameters
Workspace URL
Response
Get detailed analytics data
Show child attributes
Show child attributes
Number of unique visitors
Example:
4
Average visit time in ms
Example:
"79375.20"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum value for links
Example:
7
Show child attributes
Show child attributes
Maximum value for all sources
Example:
7
Maximum value for browsers
Example:
7
Maximum value for operating systems
Example:
7
Maximum value for devices
Example:
7
Maximum value for device types
Example:
7
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum value for languages
Example:
7
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I